import java.util.Scanner

val scanner = Scanner(System.`in`)

val listLeft = ArrayList<Int>()
val listRight = ArrayList<Int>()

while (scanner.hasNextInt()) {
    val num1 = scanner.nextInt()
    listLeft.add(num1)

    val num2 = scanner.nextInt()
    listRight.add(num2)
}


val rightFrequencies = listRight.groupingBy { it }.eachCount()

val sum = listLeft.fold(0, { sum, left ->
    sum + left * (rightFrequencies[left] ?: 0)
})

println(sum)

